library(mclust)

### Uncomment the next line if the data are already read in
source("readpaulia.R")

### Change the next lines as appropriate
setsize <- 2000
trset <- sample(npixels, setsize, replace=FALSE)
minclus <- 3
maxclus <- 15
models <- .Mclust$emModelNames
.Mclust$itmax <- c(100, Inf)

### Go! And have a cuppa in the mean time...
bicvals <- EMclust(pict[pixels,], subset=trset,
                   G=minclus:maxclus, emModelNames=models)
sumry <- summary(bicvals, pict[pixels,])
classif <- sumry$classification
